#pragma once
#include "Renderable.h"

class InfoDisplay : public Renderable
{
public:
	void SetMessage(const char * newMsg);
	void ClearMessage();
	virtual void Render(float zValue);
	virtual void UpdateTexture();

	void SetPosition(int x, int y);
	InfoDisplay(void);
	~InfoDisplay(void);
private:
	void DisplayString(int x, int y, char *string);
	void *m_font;
	int m_x, m_y;
	char m_currentMsg[256];

protected:
	virtual void SetFriendlyName(){FriendlyName = "InfoDisplay";}
};
