#pragma once

#include <utils.h>


class WindowMapping
{
public:
	void PixelDeltaToDelta(float & xdiff, float & ydiff);
	void PixelPositionToSpace(float & x, float & y);
	void GetPixelSizeInSpace(float& xpixelsize, float& ypixelsize);

	void SetCoordinates(float top, float right, float left, float bottom);
	void SetDestinationWindow(float top, float right, float left, float bottom);

	~WindowMapping(void);
	WindowMapping(void);
private:
	RECTFLOAT spaceWindow;
	RECTFLOAT bitmapWindow;

	float m_bitmapWidth, m_bitmapHeight, m_windowWidth, m_windowHeight;
};